module SyncSign
  class Widget
    class Symbols
      ##
      # Library of symbols and their associated codes.
      SYMBOL_LIBRARY = {
        ##
        # Weather Symbols
        weather: {
          :day_sunny => 0xf00d,
          :day_cloudy => 0xf002,
          :day_cloudy_gusts => 0xf000,
          :day_cloudy_windy => 0xf001,
          :day_fog => 0xf003,
          :day_hail => 0xf004,
          :day_haze => 0xf0b6,
          :day_lightning => 0xf005,
          :day_rain => 0xf008,
          :day_rain_mix => 0xf006,
          :day_rain_wind => 0xf007,
          :day_showers => 0xf009,
          :day_sleet => 0xf0b2,
          :day_sleet_storm => 0xf068,
          :day_snow => 0xf00a,
          :day_snow_thunderstorm => 0xf06b,
          :day_snow_wind => 0xf065,
          :day_sprinkle => 0xf00b,
          :day_storm_showers => 0xf00e,
          :day_sunny_overcast => 0xf00c,
          :day_thunderstorm => 0xf010,
          :day_windy => 0xf085,
          :solar_eclipse => 0xf06e,
          :hot => 0xf072,
          :day_cloudy_high => 0xf07d,
          :day_light_wind => 0xf0c4,
          :night_clear => 0xf02e,
          :night_alt_cloudy => 0xf086,
          :night_alt_cloudy_gusts => 0xf022,
          :night_alt_cloudy_windy => 0xf023,
          :night_alt_hail => 0xf024,
          :night_alt_lightning => 0xf025,
          :night_alt_rain => 0xf028,
          :night_alt_rain_mix => 0xf026,
          :night_alt_rain_wind => 0xf027,
          :night_alt_showers => 0xf029,
          :night_alt_sleet => 0xf0b4,
          :night_alt_sleet_storm => 0xf06a,
          :night_alt_snow => 0xf02a,
          :night_alt_snow_thunderstorm => 0xf06d,
          :night_alt_snow_wind => 0xf067,
          :night_alt_sprinkle => 0xf02b,
          :night_alt_storm_showers => 0xf02c,
          :night_alt_thunderstorm => 0xf02d,
          :night_cloudy => 0xf031,
          :night_cloudy_gusts => 0xf02f,
          :night_cloudy_windy => 0xf030,
          :night_fog => 0xf04a,
          :night_hail => 0xf032,
          :night_lightning => 0xf033,
          :night_partly_cloudy => 0xf083,
          :night_rain => 0xf036,
          :night_rain_mix => 0xf034,
          :night_rain_wind => 0xf035,
          :night_showers => 0xf037,
          :night_sleet => 0xf0b3,
          :night_sleet_storm => 0xf069,
          :night_snow => 0xf038,
          :night_snow_thunderstorm => 0xf06c,
          :night_snow_wind => 0xf066,
          :night_sprinkle => 0xf039,
          :night_storm_showers => 0xf03a,
          :night_thunderstorm => 0xf03b,
          :lunar_eclipse => 0xf070,
          :stars => 0xf077,
          :night_alt_cloudy_high => 0xf07e,
          :night_cloudy_high => 0xf080,
          :night_alt_partly_cloudy => 0xf081,
          :cloud => 0xf041,
          :cloudy => 0xf013,
          :cloudy_gusts => 0xf011,
          :cloudy_windy => 0xf012,
          :fog => 0xf014,
          :hail => 0xf015,
          :rain => 0xf019,
          :rain_mix => 0xf017,
          :rain_wind => 0xf018,
          :showers => 0xf01a,
          :sleet => 0xf0b5,
          :sprinkle => 0xf01c,
          :storm_showers => 0xf01d,
          :thunderstorm => 0xf01e,
          :snow_wind => 0xf064,
          :snow => 0xf01b,
          :smog => 0xf074,
          :smoke => 0xf062,
          :lightning => 0xf016,
          :raindrops => 0xf04e,
          :raindrop => 0xf078,
          :dust => 0xf063,
          :snowflake_cold => 0xf076,
          :windy => 0xf021,
          :strong_wind => 0xf050,
          :sandstorm => 0xf082,
          :earthquake => 0xf0c6,
          :fire => 0xf0c7,
          :flood => 0xf07c,
          :meteor => 0xf071,
          :tsunami => 0xf0c5,
          :volcano => 0xf0c8,
          :hurricane => 0xf073,
          :tornado => 0xf056,
          :small_craft_advisory => 0xf0cc,
          :gale_warning => 0xf0cd,
          :storm_warning => 0xf0ce,
          :hurricane_warning => 0xf0cf,
          :wind_direction => 0xf0b1,
          :alien => 0xf075,
          :celsius => 0xf03c,
          :fahrenheit => 0xf045,
          :degrees => 0xf042,
          :thermometer => 0xf055,
          :thermometer_exterior => 0xf053,
          :thermometer_internal => 0xf054,
          :cloud_down => 0xf03d,
          :cloud_up => 0xf040,
          :cloud_refresh => 0xf03e,
          :horizon => 0xf047,
          :horizon_alt => 0xf046,
          :sunrise => 0xf051,
          :sunset => 0xf052,
          :moonrise => 0xf0c9,
          :moonset => 0xf0ca,
          :refresh => 0xf04c,
          :refresh_alt => 0xf04b,
          :umbrella => 0xf084,
          :barometer => 0xf079,
          :humidity => 0xf07a,
          :na => 0xf07b,
          :train => 0xf0cb,
          :moon_new => 0xf095,
          :moon_waxing_crescent_1 => 0xf096,
          :moon_waxing_crescent_2 => 0xf097,
          :moon_waxing_crescent_3 => 0xf098,
          :moon_waxing_crescent_4 => 0xf099,
          :moon_waxing_crescent_5 => 0xf09a,
          :moon_waxing_crescent_6 => 0xf09b,
          :moon_first_quarter => 0xf09c,
          :moon_waxing_gibbous_1 => 0xf09d,
          :moon_waxing_gibbous_2 => 0xf09e,
          :moon_waxing_gibbous_3 => 0xf09f,
          :moon_waxing_gibbous_4 => 0xf0a0,
          :moon_waxing_gibbous_5 => 0xf0a1,
          :moon_waxing_gibbous_6 => 0xf0a2,
          :moon_full => 0xf0a3,
          :moon_waning_gibbous_1 => 0xf0a4,
          :moon_waning_gibbous_2 => 0xf0a5,
          :moon_waning_gibbous_3 => 0xf0a6,
          :moon_waning_gibbous_4 => 0xf0a7,
          :moon_waning_gibbous_5 => 0xf0a8,
          :moon_waning_gibbous_6 => 0xf0a9,
          :moon_third_quarter => 0xf0aa,
          :moon_waning_crescent_1 => 0xf0ab,
          :moon_waning_crescent_2 => 0xf0ac,
          :moon_waning_crescent_3 => 0xf0ad,
          :moon_waning_crescent_4 => 0xf0ae,
          :moon_waning_crescent_5 => 0xf0af,
          :moon_waning_crescent_6 => 0xf0b0,
          :moon_alt_new => 0xf0eb,
          :moon_alt_waxing_crescent_1 => 0xf0d0,
          :moon_alt_waxing_crescent_2 => 0xf0d1,
          :moon_alt_waxing_crescent_3 => 0xf0d2,
          :moon_alt_waxing_crescent_4 => 0xf0d3,
          :moon_alt_waxing_crescent_5 => 0xf0d4,
          :moon_alt_waxing_crescent_6 => 0xf0d5,
          :moon_alt_first_quarter => 0xf0d6,
          :moon_alt_waxing_gibbous_1 => 0xf0d7,
          :moon_alt_waxing_gibbous_2 => 0xf0d8,
          :moon_alt_waxing_gibbous_3 => 0xf0d9,
          :moon_alt_waxing_gibbous_4 => 0xf0da,
          :moon_alt_waxing_gibbous_5 => 0xf0db,
          :moon_alt_waxing_gibbous_6 => 0xf0dc,
          :moon_alt_full => 0xf0dd,
          :moon_alt_waning_gibbous_1 => 0xf0de,
          :moon_alt_waning_gibbous_2 => 0xf0df,
          :moon_alt_waning_gibbous_3 => 0xf0e0,
          :moon_alt_waning_gibbous_4 => 0xf0e1,
          :moon_alt_waning_gibbous_5 => 0xf0e2,
          :moon_alt_waning_gibbous_6 => 0xf0e3,
          :moon_alt_third_quarter => 0xf0e4,
          :moon_alt_waning_crescent_1 => 0xf0e5,
          :moon_alt_waning_crescent_2 => 0xf0e6,
          :moon_alt_waning_crescent_3 => 0xf0e7,
          :moon_alt_waning_crescent_4 => 0xf0e8,
          :moon_alt_waning_crescent_5 => 0xf0e9,
          :moon_alt_waning_crescent_6 => 0xf0ea,
          :time_1 => 0xf08a,
          :time_2 => 0xf08b,
          :time_3 => 0xf08c,
          :time_4 => 0xf08d,
          :time_5 => 0xf08e,
          :time_6 => 0xf08f,
          :time_7 => 0xf090,
          :time_8 => 0xf091,
          :time_9 => 0xf092,
          :time_10 => 0xf093,
          :time_11 => 0xf094,
          :time_12 => 0xf089,
          :direction_up => 0xf058,
          :direction_up_right => 0xf057,
          :direction_right => 0xf04d,
          :direction_down_right => 0xf088,
          :direction_down => 0xf044,
          :direction_down_left => 0xf043,
          :direction_left => 0xf048,
          :direction_up_left => 0xf087,
        },

        ##
        # Solid symbols
        solid: {
          :ad => 0xf641,
          :address_book => 0xf2b9,
          :address_card => 0xf2bb,
          :adjust => 0xf042,
          :air_freshener => 0xf5d0,
          :align_center => 0xf037,
          :align_justify => 0xf039,
          :align_left => 0xf036,
          :align_right => 0xf038,
          :allergies => 0xf461,
          :ambulance => 0xf0f9,
          :american_sign_language_interpreting => 0xf2a3,
          :anchor => 0xf13d,
          :angle_double_down => 0xf103,
          :angle_double_left => 0xf100,
          :angle_double_right => 0xf101,
          :angle_double_up => 0xf102,
          :angle_down => 0xf107,
          :angle_left => 0xf104,
          :angle_right => 0xf105,
          :angle_up => 0xf106,
          :angry => 0xf556,
          :ankh => 0xf644,
          :apple_alt => 0xf5d1,
          :archive => 0xf187,
          :archway => 0xf557,
          :arrow_alt_circle_down => 0xf358,
          :arrow_alt_circle_left => 0xf359,
          :arrow_alt_circle_right => 0xf35a,
          :arrow_alt_circle_up => 0xf35b,
          :arrow_circle_down => 0xf0ab,
          :arrow_circle_left => 0xf0a8,
          :arrow_circle_right => 0xf0a9,
          :arrow_circle_up => 0xf0aa,
          :arrow_down => 0xf063,
          :arrow_left => 0xf060,
          :arrow_right => 0xf061,
          :arrow_up => 0xf062,
          :arrows_alt => 0xf0b2,
          :arrows_alt_h => 0xf337,
          :arrows_alt_v => 0xf338,
          :assistive_listening_systems => 0xf2a2,
          :asterisk => 0xf069,
          :at => 0xf1fa,
          :atlas => 0xf558,
          :atom => 0xf5d2,
          :audio_description => 0xf29e,
          :award => 0xf559,
          :baby => 0xf77c,
          :baby_carriage => 0xf77d,
          :backspace => 0xf55a,
          :backward => 0xf04a,
          :bacon => 0xf7e5,
          :bahai => 0xf666,
          :balance_scale => 0xf24e,
          :balance_scale_left => 0xf515,
          :balance_scale_right => 0xf516,
          :ban => 0xf05e,
          :band_aid => 0xf462,
          :barcode => 0xf02a,
          :bars => 0xf0c9,
          :baseball_ball => 0xf433,
          :basketball_ball => 0xf434,
          :bath => 0xf2cd,
          :battery_empty => 0xf244,
          :battery_full => 0xf240,
          :battery_half => 0xf242,
          :battery_quarter => 0xf243,
          :battery_three_quarters => 0xf241,
          :bed => 0xf236,
          :beer => 0xf0fc,
          :bell => 0xf0f3,
          :bell_slash => 0xf1f6,
          :bezier_curve => 0xf55b,
          :bible => 0xf647,
          :bicycle => 0xf206,
          :biking => 0xf84a,
          :binoculars => 0xf1e5,
          :biohazard => 0xf780,
          :birthday_cake => 0xf1fd,
          :blender => 0xf517,
          :blender_phone => 0xf6b6,
          :blind => 0xf29d,
          :blog => 0xf781,
          :bold => 0xf032,
          :bolt => 0xf0e7,
          :bomb => 0xf1e2,
          :bone => 0xf5d7,
          :bong => 0xf55c,
          :book => 0xf02d,
          :book_dead => 0xf6b7,
          :book_medical => 0xf7e6,
          :book_open => 0xf518,
          :book_reader => 0xf5da,
          :bookmark => 0xf02e,
          :border_all => 0xf84c,
          :border_none => 0xf850,
          :border_style => 0xf853,
          :bowling_ball => 0xf436,
          :box => 0xf466,
          :box_open => 0xf49e,
          :boxes => 0xf468,
          :braille => 0xf2a1,
          :brain => 0xf5dc,
          :bread_slice => 0xf7ec,
          :briefcase => 0xf0b1,
          :briefcase_medical => 0xf469,
          :broadcast_tower => 0xf519,
          :broom => 0xf51a,
          :brush => 0xf55d,
          :bug => 0xf188,
          :building => 0xf1ad,
          :bullhorn => 0xf0a1,
          :bullseye => 0xf140,
          :burn => 0xf46a,
          :bus => 0xf207,
          :bus_alt => 0xf55e,
          :business_time => 0xf64a,
          :calculator => 0xf1ec,
          :calendar => 0xf133,
          :calendar_alt => 0xf073,
          :calendar_check => 0xf274,
          :calendar_day => 0xf783,
          :calendar_minus => 0xf272,
          :calendar_plus => 0xf271,
          :calendar_times => 0xf273,
          :calendar_week => 0xf784,
          :camera => 0xf030,
          :camera_retro => 0xf083,
          :campground => 0xf6bb,
          :candy_cane => 0xf786,
          :cannabis => 0xf55f,
          :capsules => 0xf46b,
          :car => 0xf1b9,
          :car_alt => 0xf5de,
          :car_battery => 0xf5df,
          :car_crash => 0xf5e1,
          :car_side => 0xf5e4,
          :caravan => 0xf8ff,
          :caret_down => 0xf0d7,
          :caret_left => 0xf0d9,
          :caret_right => 0xf0da,
          :caret_square_down => 0xf150,
          :caret_square_left => 0xf191,
          :caret_square_right => 0xf152,
          :caret_square_up => 0xf151,
          :caret_up => 0xf0d8,
          :carrot => 0xf787,
          :cart_arrow_down => 0xf218,
          :cart_plus => 0xf217,
          :cash_register => 0xf788,
          :cat => 0xf6be,
          :certificate => 0xf0a3,
          :chair => 0xf6c0,
          :chalkboard => 0xf51b,
          :chalkboard_teacher => 0xf51c,
          :charging_station => 0xf5e7,
          :chart_area => 0xf1fe,
          :chart_bar => 0xf080,
          :chart_line => 0xf201,
          :chart_pie => 0xf200,
          :check => 0xf00c,
          :check_circle => 0xf058,
          :check_double => 0xf560,
          :check_square => 0xf14a,
          :cheese => 0xf7ef,
          :chess => 0xf439,
          :chess_bishop => 0xf43a,
          :chess_board => 0xf43c,
          :chess_king => 0xf43f,
          :chess_knight => 0xf441,
          :chess_pawn => 0xf443,
          :chess_queen => 0xf445,
          :chess_rook => 0xf447,
          :chevron_circle_down => 0xf13a,
          :chevron_circle_left => 0xf137,
          :chevron_circle_right => 0xf138,
          :chevron_circle_up => 0xf139,
          :chevron_down => 0xf078,
          :chevron_left => 0xf053,
          :chevron_right => 0xf054,
          :chevron_up => 0xf077,
          :child => 0xf1ae,
          :church => 0xf51d,
          :circle => 0xf111,
          :circle_notch => 0xf1ce,
          :city => 0xf64f,
          :clinic_medical => 0xf7f2,
          :clipboard => 0xf328,
          :clipboard_check => 0xf46c,
          :clipboard_list => 0xf46d,
          :clock => 0xf017,
          :clone => 0xf24d,
          :closed_captioning => 0xf20a,
          :cloud => 0xf0c2,
          :cloud_download_alt => 0xf381,
          :cloud_meatball => 0xf73b,
          :cloud_moon => 0xf6c3,
          :cloud_moon_rain => 0xf73c,
          :cloud_rain => 0xf73d,
          :cloud_showers_heavy => 0xf740,
          :cloud_sun => 0xf6c4,
          :cloud_sun_rain => 0xf743,
          :cloud_upload_alt => 0xf382,
          :cocktail => 0xf561,
          :code => 0xf121,
          :code_branch => 0xf126,
          :coffee => 0xf0f4,
          :cog => 0xf013,
          :cogs => 0xf085,
          :coins => 0xf51e,
          :columns => 0xf0db,
          :comment => 0xf075,
          :comment_alt => 0xf27a,
          :comment_dollar => 0xf651,
          :comment_dots => 0xf4ad,
          :comment_medical => 0xf7f5,
          :comment_slash => 0xf4b3,
          :comments => 0xf086,
          :comments_dollar => 0xf653,
          :compact_disc => 0xf51f,
          :compass => 0xf14e,
          :compress => 0xf066,
          :compress_alt => 0xf422,
          :compress_arrows_alt => 0xf78c,
          :concierge_bell => 0xf562,
          :cookie => 0xf563,
          :cookie_bite => 0xf564,
          :copy => 0xf0c5,
          :copyright => 0xf1f9,
          :couch => 0xf4b8,
          :credit_card => 0xf09d,
          :crop => 0xf125,
          :crop_alt => 0xf565,
          :cross => 0xf654,
          :crosshairs => 0xf05b,
          :crow => 0xf520,
          :crown => 0xf521,
          :crutch => 0xf7f7,
          :cube => 0xf1b2,
          :cubes => 0xf1b3,
          :cut => 0xf0c4,
          :database => 0xf1c0,
          :deaf => 0xf2a4,
          :democrat => 0xf747,
          :desktop => 0xf108,
          :dharmachakra => 0xf655,
          :diagnoses => 0xf470,
          :dice => 0xf522,
          :dice_d20 => 0xf6cf,
          :dice_d6 => 0xf6d1,
          :dice_five => 0xf523,
          :dice_four => 0xf524,
          :dice_one => 0xf525,
          :dice_six => 0xf526,
          :dice_three => 0xf527,
          :dice_two => 0xf528,
          :digital_tachograph => 0xf566,
          :directions => 0xf5eb,
          :disease => 0xf7fa,
          :divide => 0xf529,
          :dizzy => 0xf567,
          :dna => 0xf471,
          :dog => 0xf6d3,
          :dollar_sign => 0xf155,
          :dolly => 0xf472,
          :dolly_flatbed => 0xf474,
          :donate => 0xf4b9,
          :door_closed => 0xf52a,
          :door_open => 0xf52b,
          :dot_circle => 0xf192,
          :dove => 0xf4ba,
          :download => 0xf019,
          :drafting_compass => 0xf568,
          :dragon => 0xf6d5,
          :draw_polygon => 0xf5ee,
          :drum => 0xf569,
          :drum_steelpan => 0xf56a,
          :drumstick_bite => 0xf6d7,
          :dumbbell => 0xf44b,
          :dumpster => 0xf793,
          :dumpster_fire => 0xf794,
          :dungeon => 0xf6d9,
          :edit => 0xf044,
          :egg => 0xf7fb,
          :eject => 0xf052,
          :ellipsis_h => 0xf141,
          :ellipsis_v => 0xf142,
          :envelope => 0xf0e0,
          :envelope_open => 0xf2b6,
          :envelope_open_text => 0xf658,
          :envelope_square => 0xf199,
          :equals => 0xf52c,
          :eraser => 0xf12d,
          :ethernet => 0xf796,
          :euro_sign => 0xf153,
          :exchange_alt => 0xf362,
          :exclamation => 0xf12a,
          :exclamation_circle => 0xf06a,
          :exclamation_triangle => 0xf071,
          :expand => 0xf065,
          :expand_alt => 0xf424,
          :expand_arrows_alt => 0xf31e,
          :external_link_alt => 0xf35d,
          :external_link_square_alt => 0xf360,
          :eye => 0xf06e,
          :eye_dropper => 0xf1fb,
          :eye_slash => 0xf070,
          :fan => 0xf863,
          :fast_backward => 0xf049,
          :fast_forward => 0xf050,
          :fax => 0xf1ac,
          :feather => 0xf52d,
          :feather_alt => 0xf56b,
          :female => 0xf182,
          :fighter_jet => 0xf0fb,
          :file => 0xf15b,
          :file_alt => 0xf15c,
          :file_archive => 0xf1c6,
          :file_audio => 0xf1c7,
          :file_code => 0xf1c9,
          :file_contract => 0xf56c,
          :file_csv => 0xf6dd,
          :file_download => 0xf56d,
          :file_excel => 0xf1c3,
          :file_export => 0xf56e,
          :file_image => 0xf1c5,
          :file_import => 0xf56f,
          :file_invoice => 0xf570,
          :file_invoice_dollar => 0xf571,
          :file_medical => 0xf477,
          :file_medical_alt => 0xf478,
          :file_pdf => 0xf1c1,
          :file_powerpoint => 0xf1c4,
          :file_prescription => 0xf572,
          :file_signature => 0xf573,
          :file_upload => 0xf574,
          :file_video => 0xf1c8,
          :file_word => 0xf1c2,
          :fill => 0xf575,
          :fill_drip => 0xf576,
          :film => 0xf008,
          :filter => 0xf0b0,
          :fingerprint => 0xf577,
          :fire => 0xf06d,
          :fire_alt => 0xf7e4,
          :fire_extinguisher => 0xf134,
          :first_aid => 0xf479,
          :fish => 0xf578,
          :fist_raised => 0xf6de,
          :flag => 0xf024,
          :flag_checkered => 0xf11e,
          :flag_usa => 0xf74d,
          :flask => 0xf0c3,
          :flushed => 0xf579,
          :folder => 0xf07b,
          :folder_minus => 0xf65d,
          :folder_open => 0xf07c,
          :folder_plus => 0xf65e,
          :font => 0xf031,
          :football_ball => 0xf44e,
          :forward => 0xf04e,
          :frog => 0xf52e,
          :frown => 0xf119,
          :frown_open => 0xf57a,
          :funnel_dollar => 0xf662,
          :futbol => 0xf1e3,
          :gamepad => 0xf11b,
          :gas_pump => 0xf52f,
          :gavel => 0xf0e3,
          :gem => 0xf3a5,
          :genderless => 0xf22d,
          :ghost => 0xf6e2,
          :gift => 0xf06b,
          :gifts => 0xf79c,
          :glass_cheers => 0xf79f,
          :glass_martini => 0xf000,
          :glass_martini_alt => 0xf57b,
          :glass_whiskey => 0xf7a0,
          :glasses => 0xf530,
          :globe => 0xf0ac,
          :globe_africa => 0xf57c,
          :globe_americas => 0xf57d,
          :globe_asia => 0xf57e,
          :globe_europe => 0xf7a2,
          :golf_ball => 0xf450,
          :gopuram => 0xf664,
          :graduation_cap => 0xf19d,
          :greater_than => 0xf531,
          :greater_than_equal => 0xf532,
          :grimace => 0xf57f,
          :grin => 0xf580,
          :grin_alt => 0xf581,
          :grin_beam => 0xf582,
          :grin_beam_sweat => 0xf583,
          :grin_hearts => 0xf584,
          :grin_squint => 0xf585,
          :grin_squint_tears => 0xf586,
          :grin_stars => 0xf587,
          :grin_tears => 0xf588,
          :grin_tongue => 0xf589,
          :grin_tongue_squint => 0xf58a,
          :grin_tongue_wink => 0xf58b,
          :grin_wink => 0xf58c,
          :grip_horizontal => 0xf58d,
          :grip_lines => 0xf7a4,
          :grip_lines_vertical => 0xf7a5,
          :grip_vertical => 0xf58e,
          :guitar => 0xf7a6,
          :h_square => 0xf0fd,
          :hamburger => 0xf805,
          :hammer => 0xf6e3,
          :hamsa => 0xf665,
          :hand_holding => 0xf4bd,
          :hand_holding_heart => 0xf4be,
          :hand_holding_usd => 0xf4c0,
          :hand_holding_water => 0xf4c1,
          :hand_lizard => 0xf258,
          :hand_middle_finger => 0xf806,
          :hand_paper => 0xf256,
          :hand_peace => 0xf25b,
          :hand_point_down => 0xf0a7,
          :hand_point_left => 0xf0a5,
          :hand_point_right => 0xf0a4,
          :hand_point_up => 0xf0a6,
          :hand_pointer => 0xf25a,
          :hand_rock => 0xf255,
          :hand_scissors => 0xf257,
          :hand_spock => 0xf259,
          :hands => 0xf4c2,
          :hands_helping => 0xf4c4,
          :handshake => 0xf2b5,
          :hanukiah => 0xf6e6,
          :hard_hat => 0xf807,
          :hashtag => 0xf292,
          :hat_cowboy => 0xf8c0,
          :hat_cowboy_side => 0xf8c1,
          :hat_wizard => 0xf6e8,
          :hdd => 0xf0a0,
          :heading => 0xf1dc,
          :headphones => 0xf025,
          :headphones_alt => 0xf58f,
          :headset => 0xf590,
          :heart => 0xf004,
          :heart_broken => 0xf7a9,
          :heartbeat => 0xf21e,
          :helicopter => 0xf533,
          :highlighter => 0xf591,
          :hiking => 0xf6ec,
          :hippo => 0xf6ed,
          :history => 0xf1da,
          :hockey_puck => 0xf453,
          :holly_berry => 0xf7aa,
          :home => 0xf015,
          :horse => 0xf6f0,
          :horse_head => 0xf7ab,
          :hospital => 0xf0f8,
          :hospital_alt => 0xf47d,
          :hospital_symbol => 0xf47e,
          :hospital_user => 0xf80d,
          :hot_tub => 0xf593,
          :hotdog => 0xf80f,
          :hotel => 0xf594,
          :hourglass => 0xf254,
          :hourglass_end => 0xf253,
          :hourglass_half => 0xf252,
          :hourglass_start => 0xf251,
          :house_damage => 0xf6f1,
          :hryvnia => 0xf6f2,
          :i_cursor => 0xf246,
          :ice_cream => 0xf810,
          :icicles => 0xf7ad,
          :icons => 0xf86d,
          :id_badge => 0xf2c1,
          :id_card => 0xf2c2,
          :id_card_alt => 0xf47f,
          :igloo => 0xf7ae,
          :image => 0xf03e,
          :images => 0xf302,
          :inbox => 0xf01c,
          :indent => 0xf03c,
          :industry => 0xf275,
          :infinity => 0xf534,
          :info => 0xf129,
          :info_circle => 0xf05a,
          :italic => 0xf033,
          :jedi => 0xf669,
          :joint => 0xf595,
          :journal_whills => 0xf66a,
          :kaaba => 0xf66b,
          :key => 0xf084,
          :keyboard => 0xf11c,
          :khanda => 0xf66d,
          :kiss => 0xf596,
          :kiss_beam => 0xf597,
          :kiss_wink_heart => 0xf598,
          :kiwi_bird => 0xf535,
          :landmark => 0xf66f,
          :language => 0xf1ab,
          :laptop => 0xf109,
          :laptop_code => 0xf5fc,
          :laptop_medical => 0xf812,
          :laugh => 0xf599,
          :laugh_beam => 0xf59a,
          :laugh_squint => 0xf59b,
          :laugh_wink => 0xf59c,
          :layer_group => 0xf5fd,
          :leaf => 0xf06c,
          :lemon => 0xf094,
          :less_than => 0xf536,
          :less_than_equal => 0xf537,
          :level_down_alt => 0xf3be,
          :level_up_alt => 0xf3bf,
          :life_ring => 0xf1cd,
          :lightbulb => 0xf0eb,
          :link => 0xf0c1,
          :lira_sign => 0xf195,
          :list => 0xf03a,
          :list_alt => 0xf022,
          :list_ol => 0xf0cb,
          :list_ul => 0xf0ca,
          :location_arrow => 0xf124,
          :lock => 0xf023,
          :lock_open => 0xf3c1,
          :long_arrow_alt_down => 0xf309,
          :long_arrow_alt_left => 0xf30a,
          :long_arrow_alt_right => 0xf30b,
          :long_arrow_alt_up => 0xf30c,
          :low_vision => 0xf2a8,
          :luggage_cart => 0xf59d,
          :lungs => 0xf604,
          :magic => 0xf0d0,
          :magnet => 0xf076,
          :mail_bulk => 0xf674,
          :male => 0xf183,
          :map => 0xf279,
          :map_marked => 0xf59f,
          :map_marked_alt => 0xf5a0,
          :map_marker => 0xf041,
          :map_marker_alt => 0xf3c5,
          :map_pin => 0xf276,
          :map_signs => 0xf277,
          :marker => 0xf5a1,
          :mars => 0xf222,
          :mars_double => 0xf227,
          :mars_stroke => 0xf229,
          :mars_stroke_h => 0xf22b,
          :mars_stroke_v => 0xf22a,
          :mask => 0xf6fa,
          :medal => 0xf5a2,
          :medkit => 0xf0fa,
          :meh => 0xf11a,
          :meh_blank => 0xf5a4,
          :meh_rolling_eyes => 0xf5a5,
          :memory => 0xf538,
          :menorah => 0xf676,
          :mercury => 0xf223,
          :meteor => 0xf753,
          :microchip => 0xf2db,
          :microphone => 0xf130,
          :microphone_alt => 0xf3c9,
          :microphone_alt_slash => 0xf539,
          :microphone_slash => 0xf131,
          :microscope => 0xf610,
          :minus => 0xf068,
          :minus_circle => 0xf056,
          :minus_square => 0xf146,
          :mitten => 0xf7b5,
          :mobile => 0xf10b,
          :mobile_alt => 0xf3cd,
          :money_bill => 0xf0d6,
          :money_bill_alt => 0xf3d1,
          :money_bill_wave => 0xf53a,
          :money_bill_wave_alt => 0xf53b,
          :money_check => 0xf53c,
          :money_check_alt => 0xf53d,
          :monument => 0xf5a6,
          :moon => 0xf186,
          :mortar_pestle => 0xf5a7,
          :mosque => 0xf678,
          :motorcycle => 0xf21c,
          :mountain => 0xf6fc,
          :mouse => 0xf8cc,
          :mouse_pointer => 0xf245,
          :mug_hot => 0xf7b6,
          :music => 0xf001,
          :network_wired => 0xf6ff,
          :neuter => 0xf22c,
          :newspaper => 0xf1ea,
          :not_equal => 0xf53e,
          :notes_medical => 0xf481,
          :object_group => 0xf247,
          :object_ungroup => 0xf248,
          :oil_can => 0xf613,
          :om => 0xf679,
          :otter => 0xf700,
          :outdent => 0xf03b,
          :pager => 0xf815,
          :paint_brush => 0xf1fc,
          :paint_roller => 0xf5aa,
          :palette => 0xf53f,
          :pallet => 0xf482,
          :paper_plane => 0xf1d8,
          :paperclip => 0xf0c6,
          :parachute_box => 0xf4cd,
          :paragraph => 0xf1dd,
          :parking => 0xf540,
          :passport => 0xf5ab,
          :pastafarianism => 0xf67b,
          :paste => 0xf0ea,
          :pause => 0xf04c,
          :pause_circle => 0xf28b,
          :paw => 0xf1b0,
          :peace => 0xf67c,
          :pen => 0xf304,
          :pen_alt => 0xf305,
          :pen_fancy => 0xf5ac,
          :pen_nib => 0xf5ad,
          :pen_square => 0xf14b,
          :pencil_alt => 0xf303,
          :pencil_ruler => 0xf5ae,
          :people_carry => 0xf4ce,
          :pepper_hot => 0xf816,
          :percent => 0xf295,
          :percentage => 0xf541,
          :person_booth => 0xf756,
          :phone => 0xf095,
          :phone_alt => 0xf879,
          :phone_slash => 0xf3dd,
          :phone_square => 0xf098,
          :phone_square_alt => 0xf87b,
          :phone_volume => 0xf2a0,
          :photo_video => 0xf87c,
          :piggy_bank => 0xf4d3,
          :pills => 0xf484,
          :pizza_slice => 0xf818,
          :place_of_worship => 0xf67f,
          :plane => 0xf072,
          :plane_arrival => 0xf5af,
          :plane_departure => 0xf5b0,
          :play => 0xf04b,
          :play_circle => 0xf144,
          :plug => 0xf1e6,
          :plus => 0xf067,
          :plus_circle => 0xf055,
          :plus_square => 0xf0fe,
          :podcast => 0xf2ce,
          :poll => 0xf681,
          :poll_h => 0xf682,
          :poo => 0xf2fe,
          :poo_storm => 0xf75a,
          :poop => 0xf619,
          :portrait => 0xf3e0,
          :pound_sign => 0xf154,
          :power_off => 0xf011,
          :pray => 0xf683,
          :praying_hands => 0xf684,
          :prescription => 0xf5b1,
          :prescription_bottle => 0xf485,
          :prescription_bottle_alt => 0xf486,
          :print => 0xf02f,
          :procedures => 0xf487,
          :project_diagram => 0xf542,
          :puzzle_piece => 0xf12e,
          :qrcode => 0xf029,
          :question => 0xf128,
          :question_circle => 0xf059,
          :quidditch => 0xf458,
          :quote_left => 0xf10d,
          :quote_right => 0xf10e,
          :quran => 0xf687,
          :radiation => 0xf7b9,
          :radiation_alt => 0xf7ba,
          :rainbow => 0xf75b,
          :random => 0xf074,
          :receipt => 0xf543,
          :record_vinyl => 0xf8d9,
          :recycle => 0xf1b8,
          :redo => 0xf01e,
          :redo_alt => 0xf2f9,
          :registered => 0xf25d,
          :remove_format => 0xf87d,
          :reply => 0xf3e5,
          :reply_all => 0xf122,
          :republican => 0xf75e,
          :restroom => 0xf7bd,
          :retweet => 0xf079,
          :ribbon => 0xf4d6,
          :ring => 0xf70b,
          :road => 0xf018,
          :robot => 0xf544,
          :rocket => 0xf135,
          :route => 0xf4d7,
          :rss => 0xf09e,
          :rss_square => 0xf143,
          :ruble_sign => 0xf158,
          :ruler => 0xf545,
          :ruler_combined => 0xf546,
          :ruler_horizontal => 0xf547,
          :ruler_vertical => 0xf548,
          :running => 0xf70c,
          :rupee_sign => 0xf156,
          :sad_cry => 0xf5b3,
          :sad_tear => 0xf5b4,
          :satellite => 0xf7bf,
          :satellite_dish => 0xf7c0,
          :save => 0xf0c7,
          :school => 0xf549,
          :screwdriver => 0xf54a,
          :scroll => 0xf70e,
          :sd_card => 0xf7c2,
          :search => 0xf002,
          :search_dollar => 0xf688,
          :search_location => 0xf689,
          :search_minus => 0xf010,
          :search_plus => 0xf00e,
          :seedling => 0xf4d8,
          :server => 0xf233,
          :shapes => 0xf61f,
          :share => 0xf064,
          :share_alt => 0xf1e0,
          :share_alt_square => 0xf1e1,
          :share_square => 0xf14d,
          :shekel_sign => 0xf20b,
          :shield_alt => 0xf3ed,
          :ship => 0xf21a,
          :shipping_fast => 0xf48b,
          :shoe_prints => 0xf54b,
          :shopping_bag => 0xf290,
          :shopping_basket => 0xf291,
          :shopping_cart => 0xf07a,
          :shower => 0xf2cc,
          :shuttle_van => 0xf5b6,
          :sign => 0xf4d9,
          :sign_in_alt => 0xf2f6,
          :sign_language => 0xf2a7,
          :sign_out_alt => 0xf2f5,
          :signal => 0xf012,
          :signature => 0xf5b7,
          :sim_card => 0xf7c4,
          :sitemap => 0xf0e8,
          :skating => 0xf7c5,
          :skiing => 0xf7c9,
          :skiing_nordic => 0xf7ca,
          :skull => 0xf54c,
          :skull_crossbones => 0xf714,
          :slash => 0xf715,
          :sleigh => 0xf7cc,
          :sliders_h => 0xf1de,
          :smile => 0xf118,
          :smile_beam => 0xf5b8,
          :smile_wink => 0xf4da,
          :smog => 0xf75f,
          :smoking => 0xf48d,
          :smoking_ban => 0xf54d,
          :sms => 0xf7cd,
          :snowboarding => 0xf7ce,
          :snowflake => 0xf2dc,
          :snowman => 0xf7d0,
          :snowplow => 0xf7d2,
          :socks => 0xf696,
          :solar_panel => 0xf5ba,
          :sort => 0xf0dc,
          :sort_alpha_down => 0xf15d,
          :sort_alpha_down_alt => 0xf881,
          :sort_alpha_up => 0xf15e,
          :sort_alpha_up_alt => 0xf882,
          :sort_amount_down => 0xf160,
          :sort_amount_down_alt => 0xf884,
          :sort_amount_up => 0xf161,
          :sort_amount_up_alt => 0xf885,
          :sort_down => 0xf0dd,
          :sort_numeric_down => 0xf162,
          :sort_numeric_down_alt => 0xf886,
          :sort_numeric_up => 0xf163,
          :sort_numeric_up_alt => 0xf887,
          :sort_up => 0xf0de,
          :spa => 0xf5bb,
          :space_shuttle => 0xf197,
          :spell_check => 0xf891,
          :spider => 0xf717,
          :spinner => 0xf110,
          :splotch => 0xf5bc,
          :spray_can => 0xf5bd,
          :square => 0xf0c8,
          :square_full => 0xf45c,
          :square_root_alt => 0xf698,
          :stamp => 0xf5bf,
          :star => 0xf005,
          :star_and_crescent => 0xf699,
          :star_half => 0xf089,
          :star_half_alt => 0xf5c0,
          :star_of_david => 0xf69a,
          :star_of_life => 0xf621,
          :step_backward => 0xf048,
          :step_forward => 0xf051,
          :stethoscope => 0xf0f1,
          :sticky_note => 0xf249,
          :stop => 0xf04d,
          :stop_circle => 0xf28d,
          :stopwatch => 0xf2f2,
          :store => 0xf54e,
          :store_alt => 0xf54f,
          :stream => 0xf550,
          :street_view => 0xf21d,
          :strikethrough => 0xf0cc,
          :stroopwafel => 0xf551,
          :subscript => 0xf12c,
          :subway => 0xf239,
          :suitcase => 0xf0f2,
          :suitcase_rolling => 0xf5c1,
          :sun => 0xf185,
          :superscript => 0xf12b,
          :surprise => 0xf5c2,
          :swatchbook => 0xf5c3,
          :swimmer => 0xf5c4,
          :swimming_pool => 0xf5c5,
          :synagogue => 0xf69b,
          :sync => 0xf021,
          :sync_alt => 0xf2f1,
          :syringe => 0xf48e,
          :table => 0xf0ce,
          :table_tennis => 0xf45d,
          :tablet => 0xf10a,
          :tablet_alt => 0xf3fa,
          :tablets => 0xf490,
          :tachometer_alt => 0xf3fd,
          :tag => 0xf02b,
          :tags => 0xf02c,
          :tape => 0xf4db,
          :tasks => 0xf0ae,
          :taxi => 0xf1ba,
          :teeth => 0xf62e,
          :teeth_open => 0xf62f,
          :temperature_high => 0xf769,
          :temperature_low => 0xf76b,
          :tenge => 0xf7d7,
          :terminal => 0xf120,
          :text_height => 0xf034,
          :text_width => 0xf035,
          :th => 0xf00a,
          :th_large => 0xf009,
          :th_list => 0xf00b,
          :theater_masks => 0xf630,
          :thermometer => 0xf491,
          :thermometer_empty => 0xf2cb,
          :thermometer_full => 0xf2c7,
          :thermometer_half => 0xf2c9,
          :thermometer_quarter => 0xf2ca,
          :thermometer_three_quarters => 0xf2c8,
          :thumbs_down => 0xf165,
          :thumbs_up => 0xf164,
          :thumbtack => 0xf08d,
          :ticket_alt => 0xf3ff,
          :times => 0xf00d,
          :times_circle => 0xf057,
          :tint => 0xf043,
          :tint_slash => 0xf5c7,
          :tired => 0xf5c8,
          :toggle_off => 0xf204,
          :toggle_on => 0xf205,
          :toilet => 0xf7d8,
          :toilet_paper => 0xf71e,
          :toolbox => 0xf552,
          :tools => 0xf7d9,
          :tooth => 0xf5c9,
          :torah => 0xf6a0,
          :torii_gate => 0xf6a1,
          :tractor => 0xf722,
          :trademark => 0xf25c,
          :traffic_light => 0xf637,
          :train => 0xf238,
          :tram => 0xf7da,
          :transgender => 0xf224,
          :transgender_alt => 0xf225,
          :trash => 0xf1f8,
          :trash_alt => 0xf2ed,
          :trash_restore => 0xf829,
          :trash_restore_alt => 0xf82a,
          :tree => 0xf1bb,
          :trophy => 0xf091,
          :truck => 0xf0d1,
          :truck_loading => 0xf4de,
          :truck_monster => 0xf63b,
          :truck_moving => 0xf4df,
          :truck_pickup => 0xf63c,
          :tshirt => 0xf553,
          :tty => 0xf1e4,
          :tv => 0xf26c,
          :umbrella => 0xf0e9,
          :umbrella_beach => 0xf5ca,
          :underline => 0xf0cd,
          :undo => 0xf0e2,
          :undo_alt => 0xf2ea,
          :universal_access => 0xf29a,
          :university => 0xf19c,
          :unlink => 0xf127,
          :unlock => 0xf09c,
          :unlock_alt => 0xf13e,
          :upload => 0xf093,
          :user => 0xf007,
          :user_alt => 0xf406,
          :user_alt_slash => 0xf4fa,
          :user_astronaut => 0xf4fb,
          :user_check => 0xf4fc,
          :user_circle => 0xf2bd,
          :user_clock => 0xf4fd,
          :user_cog => 0xf4fe,
          :user_edit => 0xf4ff,
          :user_friends => 0xf500,
          :user_graduate => 0xf501,
          :user_injured => 0xf728,
          :user_lock => 0xf502,
          :user_md => 0xf0f0,
          :user_minus => 0xf503,
          :user_ninja => 0xf504,
          :user_nurse => 0xf82f,
          :user_plus => 0xf234,
          :user_secret => 0xf21b,
          :user_shield => 0xf505,
          :user_slash => 0xf506,
          :user_tag => 0xf507,
          :user_tie => 0xf508,
          :user_times => 0xf235,
          :users => 0xf0c0,
          :users_cog => 0xf509,
          :utensil_spoon => 0xf2e5,
          :utensils => 0xf2e7,
          :vector_square => 0xf5cb,
          :venus => 0xf221,
          :venus_double => 0xf226,
          :venus_mars => 0xf228,
          :vial => 0xf492,
          :vials => 0xf493,
          :video => 0xf03d,
          :video_slash => 0xf4e2,
          :vihara => 0xf6a7,
          :voicemail => 0xf897,
          :volleyball_ball => 0xf45f,
          :volume_down => 0xf027,
          :volume_mute => 0xf6a9,
          :volume_off => 0xf026,
          :volume_up => 0xf028,
          :vote_yea => 0xf772,
          :vr_cardboard => 0xf729,
          :walking => 0xf554,
          :wallet => 0xf555,
          :warehouse => 0xf494,
          :water => 0xf773,
          :wave_square => 0xf83e,
          :weight => 0xf496,
          :weight_hanging => 0xf5cd,
          :wheelchair => 0xf193,
          :wifi => 0xf1eb,
          :wind => 0xf72e,
          :window_close => 0xf410,
          :window_maximize => 0xf2d0,
          :window_minimize => 0xf2d1,
          :window_restore => 0xf2d2,
          :wine_bottle => 0xf72f,
          :wine_glass => 0xf4e3,
          :wine_glass_alt => 0xf5ce,
          :won_sign => 0xf159,
          :wrench => 0xf0ad,
          :x_ray => 0xf497,
          :yen_sign => 0xf157,
          :yin_yang => 0xf6ad,
        },

        ##
        # Brands symbols
        brands: {
          :logo_500px => 0xf26e,
          :accessible_icon => 0xf368,
          :accusoft => 0xf369,
          :acquisitions_incorporated => 0xf6af,
          :adn => 0xf170,
          :adobe => 0xf778,
          :adversal => 0xf36a,
          :affiliatetheme => 0xf36b,
          :airbnb => 0xf834,
          :algolia => 0xf36c,
          :alipay => 0xf642,
          :amazon => 0xf270,
          :amazon_pay => 0xf42c,
          :amilia => 0xf36d,
          :android => 0xf17b,
          :angellist => 0xf209,
          :angrycreative => 0xf36e,
          :angular => 0xf420,
          :app_store => 0xf36f,
          :app_store_ios => 0xf370,
          :apper => 0xf371,
          :apple => 0xf179,
          :apple_pay => 0xf415,
          :artstation => 0xf77a,
          :asymmetrik => 0xf372,
          :atlassian => 0xf77b,
          :audible => 0xf373,
          :autoprefixer => 0xf41c,
          :avianex => 0xf374,
          :aviato => 0xf421,
          :aws => 0xf375,
          :bandcamp => 0xf2d5,
          :battle_net => 0xf835,
          :behance => 0xf1b4,
          :behance_square => 0xf1b5,
          :bimobject => 0xf378,
          :bitbucket => 0xf171,
          :bitcoin => 0xf379,
          :bity => 0xf37a,
          :black_tie => 0xf27e,
          :blackberry => 0xf37b,
          :blogger => 0xf37c,
          :blogger_b => 0xf37d,
          :bluetooth => 0xf293,
          :bluetooth_b => 0xf294,
          :bootstrap => 0xf836,
          :btc => 0xf15a,
          :buffer => 0xf837,
          :buromobelexperte => 0xf37f,
          :buy_n_large => 0xf8a6,
          :buysellads => 0xf20d,
          :canadian_maple_leaf => 0xf785,
          :cc_amazon_pay => 0xf42d,
          :cc_amex => 0xf1f3,
          :cc_apple_pay => 0xf416,
          :cc_diners_club => 0xf24c,
          :cc_discover => 0xf1f2,
          :cc_jcb => 0xf24b,
          :cc_mastercard => 0xf1f1,
          :cc_paypal => 0xf1f4,
          :cc_stripe => 0xf1f5,
          :cc_visa => 0xf1f0,
          :centercode => 0xf380,
          :centos => 0xf789,
          :chrome => 0xf268,
          :chromecast => 0xf838,
          :cloudscale => 0xf383,
          :cloudsmith => 0xf384,
          :cloudversify => 0xf385,
          :codepen => 0xf1cb,
          :codiepie => 0xf284,
          :confluence => 0xf78d,
          :connectdevelop => 0xf20e,
          :contao => 0xf26d,
          :cotton_bureau => 0xf89e,
          :cpanel => 0xf388,
          :creative_commons => 0xf25e,
          :creative_commons_by => 0xf4e7,
          :creative_commons_nc => 0xf4e8,
          :creative_commons_nc_eu => 0xf4e9,
          :creative_commons_nc_jp => 0xf4ea,
          :creative_commons_nd => 0xf4eb,
          :creative_commons_pd => 0xf4ec,
          :creative_commons_pd_alt => 0xf4ed,
          :creative_commons_remix => 0xf4ee,
          :creative_commons_sa => 0xf4ef,
          :creative_commons_sampling => 0xf4f0,
          :creative_commons_sampling_plus => 0xf4f1,
          :creative_commons_share => 0xf4f2,
          :creative_commons_zero => 0xf4f3,
          :critical_role => 0xf6c9,
          :css3 => 0xf13c,
          :css3_alt => 0xf38b,
          :cuttlefish => 0xf38c,
          :d_and_d => 0xf38d,
          :d_and_d_beyond => 0xf6ca,
          :dashcube => 0xf210,
          :delicious => 0xf1a5,
          :deploydog => 0xf38e,
          :deskpro => 0xf38f,
          :dev => 0xf6cc,
          :deviantart => 0xf1bd,
          :dhl => 0xf790,
          :diaspora => 0xf791,
          :digg => 0xf1a6,
          :digital_ocean => 0xf391,
          :discord => 0xf392,
          :discourse => 0xf393,
          :dochub => 0xf394,
          :docker => 0xf395,
          :draft2digital => 0xf396,
          :dribbble => 0xf17d,
          :dribbble_square => 0xf397,
          :dropbox => 0xf16b,
          :drupal => 0xf1a9,
          :dyalog => 0xf399,
          :earlybirds => 0xf39a,
          :ebay => 0xf4f4,
          :edge => 0xf282,
          :elementor => 0xf430,
          :ello => 0xf5f1,
          :ember => 0xf423,
          :empire => 0xf1d1,
          :envira => 0xf299,
          :erlang => 0xf39d,
          :ethereum => 0xf42e,
          :etsy => 0xf2d7,
          :evernote => 0xf839,
          :expeditedssl => 0xf23e,
          :facebook => 0xf09a,
          :facebook_f => 0xf39e,
          :facebook_messenger => 0xf39f,
          :facebook_square => 0xf082,
          :fantasy_flight_games => 0xf6dc,
          :fedex => 0xf797,
          :fedora => 0xf798,
          :figma => 0xf799,
          :firefox => 0xf269,
          :first_order => 0xf2b0,
          :first_order_alt => 0xf50a,
          :firstdraft => 0xf3a1,
          :flickr => 0xf16e,
          :flipboard => 0xf44d,
          :fly => 0xf417,
          :font_awesome => 0xf2b4,
          :font_awesome_alt => 0xf35c,
          :font_awesome_flag => 0xf425,
          :fonticons => 0xf280,
          :fonticons_fi => 0xf3a2,
          :fort_awesome => 0xf286,
          :fort_awesome_alt => 0xf3a3,
          :forumbee => 0xf211,
          :foursquare => 0xf180,
          :free_code_camp => 0xf2c5,
          :freebsd => 0xf3a4,
          :fulcrum => 0xf50b,
          :galactic_republic => 0xf50c,
          :galactic_senate => 0xf50d,
          :get_pocket => 0xf265,
          :gg => 0xf260,
          :gg_circle => 0xf261,
          :git => 0xf1d3,
          :git_alt => 0xf841,
          :git_square => 0xf1d2,
          :github => 0xf09b,
          :github_alt => 0xf113,
          :github_square => 0xf092,
          :gitkraken => 0xf3a6,
          :gitlab => 0xf296,
          :gitter => 0xf426,
          :glide => 0xf2a5,
          :glide_g => 0xf2a6,
          :gofore => 0xf3a7,
          :goodreads => 0xf3a8,
          :goodreads_g => 0xf3a9,
          :google => 0xf1a0,
          :google_drive => 0xf3aa,
          :google_play => 0xf3ab,
          :google_plus => 0xf2b3,
          :google_plus_g => 0xf0d5,
          :google_plus_square => 0xf0d4,
          :google_wallet => 0xf1ee,
          :gratipay => 0xf184,
          :grav => 0xf2d6,
          :gripfire => 0xf3ac,
          :grunt => 0xf3ad,
          :gulp => 0xf3ae,
          :hacker_news => 0xf1d4,
          :hacker_news_square => 0xf3af,
          :hackerrank => 0xf5f7,
          :hips => 0xf452,
          :hire_a_helper => 0xf3b0,
          :hooli => 0xf427,
          :hornbill => 0xf592,
          :hotjar => 0xf3b1,
          :houzz => 0xf27c,
          :html5 => 0xf13b,
          :hubspot => 0xf3b2,
          :imdb => 0xf2d8,
          :instagram => 0xf16d,
          :intercom => 0xf7af,
          :internet_explorer => 0xf26b,
          :invision => 0xf7b0,
          :ioxhost => 0xf208,
          :itch_io => 0xf83a,
          :itunes => 0xf3b4,
          :itunes_note => 0xf3b5,
          :java => 0xf4e4,
          :jedi_order => 0xf50e,
          :jenkins => 0xf3b6,
          :jira => 0xf7b1,
          :joget => 0xf3b7,
          :joomla => 0xf1aa,
          :js => 0xf3b8,
          :js_square => 0xf3b9,
          :jsfiddle => 0xf1cc,
          :kaggle => 0xf5fa,
          :keybase => 0xf4f5,
          :keycdn => 0xf3ba,
          :kickstarter => 0xf3bb,
          :kickstarter_k => 0xf3bc,
          :korvue => 0xf42f,
          :laravel => 0xf3bd,
          :lastfm => 0xf202,
          :lastfm_square => 0xf203,
          :leanpub => 0xf212,
          :less => 0xf41d,
          :line => 0xf3c0,
          :linkedin => 0xf08c,
          :linkedin_in => 0xf0e1,
          :linode => 0xf2b8,
          :linux => 0xf17c,
          :lyft => 0xf3c3,
          :magento => 0xf3c4,
          :mailchimp => 0xf59e,
          :mandalorian => 0xf50f,
          :markdown => 0xf60f,
          :mastodon => 0xf4f6,
          :maxcdn => 0xf136,
          :mdb => 0xf8ca,
          :medapps => 0xf3c6,
          :medium => 0xf23a,
          :medium_m => 0xf3c7,
          :medrt => 0xf3c8,
          :meetup => 0xf2e0,
          :megaport => 0xf5a3,
          :mendeley => 0xf7b3,
          :microsoft => 0xf3ca,
          :mix => 0xf3cb,
          :mixcloud => 0xf289,
          :mizuni => 0xf3cc,
          :modx => 0xf285,
          :monero => 0xf3d0,
          :napster => 0xf3d2,
          :neos => 0xf612,
          :nimblr => 0xf5a8,
          :node => 0xf419,
          :node_js => 0xf3d3,
          :npm => 0xf3d4,
          :ns8 => 0xf3d5,
          :nutritionix => 0xf3d6,
          :odnoklassniki => 0xf263,
          :odnoklassniki_square => 0xf264,
          :old_republic => 0xf510,
          :opencart => 0xf23d,
          :openid => 0xf19b,
          :opera => 0xf26a,
          :optin_monster => 0xf23c,
          :orcid => 0xf8d2,
          :osi => 0xf41a,
          :page4 => 0xf3d7,
          :pagelines => 0xf18c,
          :palfed => 0xf3d8,
          :patreon => 0xf3d9,
          :paypal => 0xf1ed,
          :penny_arcade => 0xf704,
          :periscope => 0xf3da,
          :phabricator => 0xf3db,
          :phoenix_framework => 0xf3dc,
          :phoenix_squadron => 0xf511,
          :php => 0xf457,
          :pied_piper => 0xf2ae,
          :pied_piper_alt => 0xf1a8,
          :pied_piper_hat => 0xf4e5,
          :pied_piper_pp => 0xf1a7,
          :pinterest => 0xf0d2,
          :pinterest_p => 0xf231,
          :pinterest_square => 0xf0d3,
          :playstation => 0xf3df,
          :product_hunt => 0xf288,
          :pushed => 0xf3e1,
          :python => 0xf3e2,
          :qq => 0xf1d6,
          :quinscape => 0xf459,
          :quora => 0xf2c4,
          :r_project => 0xf4f7,
          :raspberry_pi => 0xf7bb,
          :ravelry => 0xf2d9,
          :react => 0xf41b,
          :reacteurope => 0xf75d,
          :readme => 0xf4d5,
          :rebel => 0xf1d0,
          :red_river => 0xf3e3,
          :reddit => 0xf1a1,
          :reddit_alien => 0xf281,
          :reddit_square => 0xf1a2,
          :redhat => 0xf7bc,
          :renren => 0xf18b,
          :replyd => 0xf3e6,
          :researchgate => 0xf4f8,
          :resolving => 0xf3e7,
          :rev => 0xf5b2,
          :rocketchat => 0xf3e8,
          :rockrms => 0xf3e9,
          :safari => 0xf267,
          :salesforce => 0xf83b,
          :sass => 0xf41e,
          :schlix => 0xf3ea,
          :scribd => 0xf28a,
          :searchengin => 0xf3eb,
          :sellcast => 0xf2da,
          :sellsy => 0xf213,
          :servicestack => 0xf3ec,
          :shirtsinbulk => 0xf214,
          :shopware => 0xf5b5,
          :simplybuilt => 0xf215,
          :sistrix => 0xf3ee,
          :sith => 0xf512,
          :sketch => 0xf7c6,
          :skyatlas => 0xf216,
          :skype => 0xf17e,
          :slack => 0xf198,
          :slack_hash => 0xf3ef,
          :slideshare => 0xf1e7,
          :snapchat => 0xf2ab,
          :snapchat_ghost => 0xf2ac,
          :snapchat_square => 0xf2ad,
          :soundcloud => 0xf1be,
          :sourcetree => 0xf7d3,
          :speakap => 0xf3f3,
          :speaker_deck => 0xf83c,
          :spotify => 0xf1bc,
          :squarespace => 0xf5be,
          :stack_exchange => 0xf18d,
          :stack_overflow => 0xf16c,
          :stackpath => 0xf842,
          :staylinked => 0xf3f5,
          :steam => 0xf1b6,
          :steam_square => 0xf1b7,
          :steam_symbol => 0xf3f6,
          :sticker_mule => 0xf3f7,
          :strava => 0xf428,
          :stripe => 0xf429,
          :stripe_s => 0xf42a,
          :studiovinari => 0xf3f8,
          :stumbleupon => 0xf1a4,
          :stumbleupon_circle => 0xf1a3,
          :superpowers => 0xf2dd,
          :supple => 0xf3f9,
          :suse => 0xf7d6,
          :swift => 0xf8e1,
          :symfony => 0xf83d,
          :teamspeak => 0xf4f9,
          :telegram => 0xf2c6,
          :telegram_plane => 0xf3fe,
          :tencent_weibo => 0xf1d5,
          :the_red_yeti => 0xf69d,
          :themeco => 0xf5c6,
          :themeisle => 0xf2b2,
          :think_peaks => 0xf731,
          :trade_federation => 0xf513,
          :trello => 0xf181,
          :tripadvisor => 0xf262,
          :tumblr => 0xf173,
          :tumblr_square => 0xf174,
          :twitch => 0xf1e8,
          :twitter => 0xf099,
          :twitter_square => 0xf081,
          :typo3 => 0xf42b,
          :uber => 0xf402,
          :ubuntu => 0xf7df,
          :uikit => 0xf403,
          :umbraco => 0xf8e8,
          :uniregistry => 0xf404,
          :untappd => 0xf405,
          :ups => 0xf7e0,
          :usb => 0xf287,
          :usps => 0xf7e1,
          :ussunnah => 0xf407,
          :vaadin => 0xf408,
          :viacoin => 0xf237,
          :viadeo => 0xf2a9,
          :viadeo_square => 0xf2aa,
          :viber => 0xf409,
          :vimeo => 0xf40a,
          :vimeo_square => 0xf194,
          :vimeo_v => 0xf27d,
          :vine => 0xf1ca,
          :vk => 0xf189,
          :vnv => 0xf40b,
          :vuejs => 0xf41f,
          :waze => 0xf83f,
          :weebly => 0xf5cc,
          :weibo => 0xf18a,
          :weixin => 0xf1d7,
          :whatsapp => 0xf232,
          :whatsapp_square => 0xf40c,
          :whmcs => 0xf40d,
          :wikipedia_w => 0xf266,
          :windows => 0xf17a,
          :wix => 0xf5cf,
          :wizards_of_the_coast => 0xf730,
          :wolf_pack_battalion => 0xf514,
          :wordpress => 0xf19a,
          :wordpress_simple => 0xf411,
          :wpbeginner => 0xf297,
          :wpexplorer => 0xf2de,
          :wpforms => 0xf298,
          :wpressr => 0xf3e4,
          :xbox => 0xf412,
          :xing => 0xf168,
          :xing_square => 0xf169,
          :y_combinator => 0xf23b,
          :yahoo => 0xf19e,
          :yammer => 0xf840,
          :yandex => 0xf413,
          :yandex_international => 0xf414,
          :yarn => 0xf7e3,
          :yelp => 0xf1e9,
          :yoast => 0xf2b1,
          :youtube => 0xf167,
          :youtube_square => 0xf431,
          :zhihu => 0xf63f,
        }
      }
    end
  end
end
